[Pkg-xmpp-commits] [SCM] Jabberd2 XMPP server branch, master, updated. upstream/2.2.17-20-g03771f3

W. van den Akker wvdakker at wilsoft.nl
Wed Jan 16 12:35:50 UTC 2013


The following commit has been merged in the master branch:
commit 026391c5610191eb9c62a927177f590d671934e3
Author: W. van den Akker <wvdakker at wilsoft.nl>
Date:   Wed Jan 16 12:22:20 2013 +0100

    Added status option to init.

diff --git a/debian/changelog b/debian/changelog
index c0faade..4972959 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,7 @@ jabberd2 (2.2.17-1) UNRELEASED; urgency=low
   * debian/control: added ${misc:Depends} to binairy packages.
   * debian/control: added Vcs-git and Vcs-Browser tags.
   * debian/init: added Description tag.
+  * debian/init, debian/component.d/*: added status option.
   * debian/init: added Should-Start/Should-Stop dependency for MySQL
     (Closes: #673243).
   * debian/init, debian/default: removed resolver entries.
diff --git a/debian/component.d/10router b/debian/component.d/10router
index 72b0964..d2fc88e 100644
--- a/debian/component.d/10router
+++ b/debian/component.d/10router
@@ -30,6 +30,14 @@ case "$1" in
          --signal 15 --retry 3 --pidfile ${PIDFILE} \
          --exec ${COMMAND} || echo -n "<Failed>"
 	;;
+   status)
+      echo -n "${NAME}"
+      if [ `pidof ${COMMAND}` ]; then
+         echo " running"
+      else
+         echo " not running"
+      fi
+	;;
    restart)
       $0 stop
       sleep 1
diff --git a/debian/component.d/30sm b/debian/component.d/30sm
index 9d69e43..1ef5da6 100644
--- a/debian/component.d/30sm
+++ b/debian/component.d/30sm
@@ -30,6 +30,14 @@ case "$1" in
          --signal 15 --retry 3 --pidfile ${PIDFILE} \
          --exec ${COMMAND} || echo -n "<Failed>"
 	;;
+   status)
+      echo -n "${NAME}"
+      if [ `pidof ${COMMAND}` ]; then
+         echo " running"
+      else
+         echo " not running"
+      fi
+	;;
    restart)
       $0 stop
       sleep 1
diff --git a/debian/component.d/40s2s b/debian/component.d/40s2s
index 5069769..d425051 100644
--- a/debian/component.d/40s2s
+++ b/debian/component.d/40s2s
@@ -30,6 +30,14 @@ case "$1" in
          --signal 15 --retry 3 --pidfile ${PIDFILE} \
          --exec ${COMMAND} || echo -n "<Failed>"
 	;;
+   status)
+      echo -n "${NAME}"
+      if [ `pidof ${COMMAND}` ]; then
+         echo " running"
+      else
+         echo " not running"
+      fi
+	;;
    restart)
       $0 stop
       sleep 1
diff --git a/debian/component.d/50c2s b/debian/component.d/50c2s
index 22db951..00eb475 100644
--- a/debian/component.d/50c2s
+++ b/debian/component.d/50c2s
@@ -30,7 +30,15 @@ case "$1" in
          --signal 15 --retry 3 --pidfile ${PIDFILE} \
          --exec ${COMMAND} || echo -n "<Failed>"
 	;;
-   restart)
+    status)
+      echo -n "${NAME}"
+      if [ `pidof ${COMMAND}` ]; then
+         echo " running"
+      else
+         echo " not running"
+      fi
+	;;
+  restart)
       $0 stop
       sleep 1
       $0 start
diff --git a/debian/init b/debian/init
index 7813ebf..7ef5b1e 100644
--- a/debian/init
+++ b/debian/init
@@ -44,6 +44,14 @@ case "$1" in
       fi
       echo "."
 	;;
+   status)
+      echo "Status Jabber services:"
+      if [ -z "$2" ]; then
+         run-parts --reverse --arg=status ${COMPONENTDPATH}
+      else
+         ${COMPONENTDPATH}/??$2 status
+      fi
+	;;
    restart|force-reload)
       echo "Restarting Jabber services:"
       $0 stop $2
@@ -51,9 +59,9 @@ case "$1" in
       $0 start $2
    ;;
    *)
-      # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+      # echo "Usage: $N {start|stop|status|restart|reload|force-reload}" >&2
       echo "Usage: $0 {action} [component]" >&2
-      echo "   action = start|stop|restart|force-reload" >&2
+      echo "   action = start|stop|status|restart|force-reload" >&2
       echo "   component = router|sm|s2s|c2s" >&2
       exit 1
    ;;

-- 
Jabberd2 XMPP server



More information about the Pkg-xmpp-commits mailing list